Update source dataset (full)
PUT/sources/v1/:sourceId/datasets/:datasetId
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Use this API to replace a dataset on the specified source in Identity Security Cloud (ISC).
Callers should round-trip the GET representation. id is required in the request body and must
match the path. aggregationEnabled may always be updated. name, description, and resources
can be changed only when the connector has the supportDatasetCreation label.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 429
- 500
The dataset was successfully replaced.
Client Error - Returned if the request body is invalid.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Not Found - returned if the request URL refers to a resource or object that does not exist
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal Server Error - Returned if there is an unexpected error.